# Interface IGenerateMutationResult

interface IGenerateMutationResult {
alias: string;
args: string[];
defs: string[];
fieldTypes: IGenerateMutationFieldTypes;
fields: string[];
index: number;
operation: "insert" | "update" | "delete";
queryName?: string;
resultAlias: string;
resultReturning: string;
resultVariables: any;
returning?: string;
tableName: string;
variables?: any;
}

#### Hierarchy (view full)

- IGenerateMutationOptions
  - IGenerateMutationResult

- Defined in work/deeplinks/deeplinks/imports/gql/mutation.ts:37

#####
Index

### Properties

alias
args
defs
fieldTypes
fields
index
operation
queryName?
resultAlias
resultReturning
resultVariables
returning?
tableName
variables?

## Properties

### alias

alias: string

- Defined in work/deeplinks/deeplinks/imports/gql/mutation.ts:43

### args

args: string[]

- Defined in work/deeplinks/deeplinks/imports/gql/mutation.ts:42

### defs

defs: string[]

- Defined in work/deeplinks/deeplinks/imports/gql/mutation.ts:41

### fieldTypes

fieldTypes: IGenerateMutationFieldTypes

- Defined in work/deeplinks/deeplinks/imports/gql/mutation.ts:40

### fields

fields: string[]

- Defined in work/deeplinks/deeplinks/imports/gql/mutation.ts:39

### index

index: number

- Defined in work/deeplinks/deeplinks/imports/gql/mutation.ts:44

### operation

operation: "insert" | "update" | "delete"

Inherited from IGenerateMutationOptions.operation

- Defined in work/deeplinks/deeplinks/imports/gql/mutation.ts:23

### `Optional` queryName

queryName?: string

Inherited from IGenerateMutationOptions.queryName

- Defined in work/deeplinks/deeplinks/imports/gql/mutation.ts:24

### resultAlias

resultAlias: string

- Defined in work/deeplinks/deeplinks/imports/gql/mutation.ts:45

### resultReturning

resultReturning: string

- Defined in work/deeplinks/deeplinks/imports/gql/mutation.ts:38

### resultVariables

resultVariables: any

- Defined in work/deeplinks/deeplinks/imports/gql/mutation.ts:46

### `Optional` returning

returning?: string

Inherited from IGenerateMutationOptions.returning

- Defined in work/deeplinks/deeplinks/imports/gql/mutation.ts:25

### tableName

tableName: string

Inherited from IGenerateMutationOptions.tableName

- Defined in work/deeplinks/deeplinks/imports/gql/mutation.ts:22

### `Optional` variables

variables?: any

Inherited from IGenerateMutationOptions.variables

- Defined in work/deeplinks/deeplinks/imports/gql/mutation.ts:26

Generated using TypeDoc